# Uses of Class
org.astrogrid.samp.gui.GuiHubConnector

Packages that use GuiHubConnector
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.util

## Uses of GuiHubConnector in org.astrogrid.samp.gui

Subclasses of GuiHubConnector in org.astrogrid.samp.gui
Modifier and Type
Class
Description
`class`
`MessageTrackerHubConnector`
HubConnector implementation which provides facilities for keeping track of incoming and outgoing messages as well as the other GUI features.
Methods in org.astrogrid.samp.gui that return GuiHubConnector
Modifier and Type
Method
Description
`GuiHubConnector`
SendActionManager.`getConnector()`
Returns this manager's hub connector.
`GuiHubConnector`
HubMonitor.`getHubConnector()`
Returns this monitor's HubConnector.
Constructors in org.astrogrid.samp.gui with parameters of type GuiHubConnector
Modifier
Constructor
Description
``
`AbstractCallActionManager(Component parent, GuiHubConnector connector, ListModel clientListModel)`
Constructor.
``
`IndividualCallActionManager(Component parent, GuiHubConnector connector, ListModel clientListModel)`
Constructor.
``
`NotifyActionManager(Component parent, GuiHubConnector connector, String mtype, String sendType)`
Constructor.
`protected`
`SendActionManager(GuiHubConnector connector, ListModel clientListModel)`
Constructor.
``
`SubscribedClientListModel(GuiHubConnector connector, String mtype)`
Constructor for single MType.
``
`SubscribedClientListModel(GuiHubConnector connector, String[] mtypes)`
Constructor for multiple MTypes.
``
`UniformCallActionManager(Component parent, GuiHubConnector connector, String mtype, String sendType)`
Constructor.

## Uses of GuiHubConnector in org.astrogrid.samp.util

Constructors in org.astrogrid.samp.util with parameters of type GuiHubConnector
Modifier
Constructor
Description
``
`SampLoad(GuiHubConnector connector, ResourceType rtype, URL url, String location)`
Constructor.